﻿/* DEFAULTS
----------------------------------------------------------*/
html
{
    direction:ltr;
    text-align: left;
    }
body   
{ 
    background: #FFFFFF;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    margin:0px auto;
 
    padding: 0px;
    color: #696969;
	
}
.modalPopup {
    background: #F7F7F7;
    min-width :700px
}
.multiselect {
    width: 120px;
}
.multiselect-option{
    width:120px;
}
.multiselect-all{
    width:120px;
}
#PositionSubmenu {
    width: 986px;
    background-color: #3a4f63;
    padding-left: 15px
}
.paging {
}

    .paging a {
        background-color: #FFA500;
        padding: 5px 7px;
        text-decoration: none;
        border: 1px solid #FFA500;
    }

        .paging a:hover {
            background-color: #E1FFEF;
            color: #FFA500;
            border: 1px solid #FFA500;
        }

    .paging span {
        background-color: #E1FFEF;
        padding: 5px 7px;
        color: #FFA500;
        border: 1px solid #FFA500;
    }

tr.paging {
    background: none !important;
}

    tr.paging tr {
        background: none !important;
    }

    tr.paging td {
        border: none;
    }
.fixed 
{ 

padding-left:15px; 
position: fixed;

height: 20px;

background-color:Fuchsia;
}

.fixedTextbox {
    pointer-events: none; /* لتعطيل التفاعل وجعل التنسيق ثابت */
    opacity: 1 !important; /* للإبقاء على اللون الأصلي عند التعطيل */
    background-color: white !important; /* لون الخلفية */
    color: black !important; /* لون النص */
    border: 1px solid #ccc; /* لون وحجم الحواف */
    cursor: text; /* تغيير مؤشر الفأرة ليبدو كنص */
}
.Req {
    border: 1px solid red;
}
.MainMenuItem 
{
    min-width :145px;
}
.Linktreeview {
    margin-top: 10px;
    overflow: auto;
}
.locmenuMenuEdit
{    display:none; 
     margin-top:7px;
    float:right; 
     width:500px;
     background-color :#3a4f63; 
    }
.mytreeview
{
  
     color:#f9f9f9;
  padding-top:4px;
  padding-left:4px;
  padding-right:12px;
  margin:2px;   
     font-size: 1.1em;
    padding-bottom:4px; 
    vertical-align:text-top;
    }
.heightauto 
{
    height :auto !important;
}

.locmenu {
    background-color: #3a4f63;
    width: 650px;
    text-align: left;
    float: left !important;
} 
.locmenu ul
{    
     text-align: left;
    float: left !important;
}
.locmenu li
{  margin-right:5px;
    background-color:#3a4f63; 
  width:120px;
  text-align: left;
   float: left;
 
}

.locmenu a
{  
    color:#f9f9f9;
    padding-left:8px;
    padding-right:8px;
 
}
.locmenu a:hover
{ 
    color:yellow;
    cursor:pointer;
  }
 
p
{
    margin-bottom: 10px;
    line-height: 1.6em;
}


/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6
{
    font-size: 1.5em;
    color: #666666;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h2
{
    font-size: 1.5em;
    font-weight: 600;
	
}

h3
{
    font-size: 1.2em;
}

h4
{
    font-size: 1.1em;
}

h5, h6
{
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/


 
.SingleCheckbox input[type=checkbox]
{
    display: none;
}

.SingleCheckbox label  
{
    display: block;
    float: left;
    color: #000;
    cursor: pointer;
}

.SingleCheckbox input[type=checkbox] + label
{
    width            : 2em;
    height           : 2em;
    border           : 0.0625em solid rgb(192,192,192);
    border-radius    : 0.25em;
    background       : #ff6600;
    background-image : -moz-linear-gradient(rgb(240,240,240), #ff6600);
    background-image : -ms-linear-gradient(rgb(240,240,240), #ff6600);
    background-image : -o-linear-gradient(rgb(240,240,240), #ff6600);
    background-image : -webkit-linear-gradient(rgb(240,240,240), #ff6600);
    background-image : linear-gradient(rgb(240,240,240), #ff6600);
    vertical-align   : middle;
    line-height      : 1em;
    text-indent      : 20px;
    font-size        : 14px;
}

.SingleCheckbox input[type=checkbox]:checked + label::before
{
    content         : "\2714";
    color           : #000;
    height          : 2em;
    line-height     : 0.8em;
    width           : 2em;
    font-weight     : 900;
    margin-right    : 6px;
    margin-left     : -18px;
    font-size       : 2.0em;
}

.page
{
    width: 95%;
    background-color: #fff;
    margin: 5px auto 0px auto;
  
}

.header
{
 
    margin: 0px;
    padding: 0px;
    background: #ff6600;
    width: 100%;
 
	left: 0px;
    height:95px;
}


.header h1
{
     padding-top: 15px;
    color: #f9f9f9;
    border: none;
 font-weight:bold;
    font-size: 1.4em;
}
.paddingleft15
{
      padding-left: 15px !important;
}
.paddingleft4
{
    padding-left: 4px !important;

}
.leftright
{
	 width :1200px;
	    position: relative; 
	    overflow:hidden ;
}

.leftbottom
{
float:left;
overflow:auto;
width:200px;
position: absolute;

  height:100%;
 background-color:#3a4f63;
}

.leftColumn
{
	width:200px;
	float:left;
	overflow:auto;
	 z-index:1000;
	
}

.main
{
    padding: 0px 0px;
    margin: 0px;
    min-height:800px;
    float:right;

    width:1000px;
}

.mainright
{

 width:1000px;
}

.leftCol
{
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer
{
    width:100%; 
    color: #4e5766;
    padding: 0px 0px 0px 0px;
    margin: 0px auto;
    text-align: center;
    line-height: normal;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink
{
    background-color:#4b6c9e;
    width:100%;
   
}


/* FORM ELEMENTS   
----------------------------------------------------------*/

fieldset
{
 
    padding: 1em;
    border: 1px solid #ccc;
}

fieldset p 
{
    margin: 2px 12px 10px 10px;
}

fieldset.login label, fieldset.register label, fieldset.changePassword label
{
    display: block;
    
}

fieldset label.inline 
{
    display: inline;
}
 

input.textEntry 
{
    width: 320px;
    border: 1px solid #ccc;
}
input.textEntryNote
{
    width: 440px;
    border: 1px solid #ccc;
}
input.passwordEntry 
{
    width: 320px;
    border: 1px solid #ccc;
}

div.accountInfo
{
    width: 400px; margin: 20px auto 0px auto;
}

/* MISC  
----------------------------------------------------------*/

.clear
{
    clear: both;
}
 
.titleSytem
{
 padding-top:2px; 
    padding-left:2px;
    display: block;
    float: left;   
    height:78px;
    width: auto;
}
.logoheaderleft
{
    padding-top:2px; 
    padding-left:25px;
    display: block;
    float: left;
    height:78px;
    width: auto;
}
.logoheaderright
{
    padding-top:2px; 
    padding-right:25px;
    display: block;
    float: right;
    height:78px;
    width: auto;
}
.logoheadercenter
{
    padding-top:10px; 
 
  margin: 0 auto;
  text-align:center;
}
.mappath
{
    display: block;
    
    width: 992px;
     font-size:0.9em;
     background :white;   
     padding: 4px;
     border-bottom:2px;
     border-bottom-color:#3a4f63;
     border-bottom-style:solid; 
    border-top:3px;
     border-top-color:#3a4f63;
     border-top-style:solid; 
}


.mappathnode 
{
 text-decoration:none;
  color:#dde4ec;
}

.mappathnode:hover
{
 color:Yellow;
 
}

.mappathnode a:hover
{
 color:Yellow;
 
}

.loginDisplay
{
    font-size: 1.1em;
    font-weight:bold;
    display: block;
    text-align: right;
    padding: 60px 10px 4px 4px;
    color: White;
    float:right;
}

.loginDisplay a:link
{
    color: white;
}

.loginDisplay a:visited
{
    color: white;
}

.loginDisplay a:hover
{
    color: white;
}

.failureNotification
{
    font-size: 1.2em;
    color: Red;
	text-align: center;
}

.bold
{
    font-weight: bold;
}

.clsbutton
{
     border: 1px solid #738A9C;
	color:white;    
    background-color:#ff6600;
    padding-bottom:3px;
    padding-top:3px;
 
}

.clsbutton:hover 
{
	 border-color: #3a4f63 #3a4f63 #3a4f63 #3a4f63;
	 background-color:#FFA500;
     cursor:hand;	
}
.clsbuttonlong 
{
width:420px;
font-size: 1.2em;
}
.txtclsinf 
{
    width: 210px;
	margin-bottom: 1px;
    margin-left: 0px;
}
.textsmallEntry 
{
    width: 40px;
 
}
.txtclsinflong
{
    width: 510px;
    
}
.txtclsinflongar
{
    width: 510px;
    direction :rtl;
    text-align:right;
    
}
.lblTitle
{
 margin: 10px auto;
    font-weight: bold;
    font-size: 1.4em;
    color:#3a4f63;
    display: block;
text-align:left
}
.lblclass
{
font-weight: bold;
 font-size: 0.9em;
    font-family: Arial, Helvetica, sans-serif;
}

.lblerror
{
font-weight: bold;
 font-size: 1.2em;
 color:Red; 
}

.clsdropdown
{
  width: 216px;
}


.ModalPopupBG
{
	background-color: #666699;
	filter: alpha(opacity=50);
	opacity: 0.7;
}

.popup_Container {
	background-color:#fffeb2;
	border:2px solid #000000;
	padding: 0px 0px 0px 0px;
}

.popupConfirmation
{
	width: 800px;
	height: 300px;
}

.popup_Titlebar {
	background: url(Images/titlebar_bg.jpg);
	height: 29px;
}

.popup_Body
{
	padding:15px 15px 15px 15px;
	font-family:Arial;
	font-weight:bold;
	font-size:12px;
	color:#000000;
	line-height:15pt;
	clear:both;
	padding:20px;
    min-height:300px;
}

.TitlebarLeft 
{
	float:left;
	padding-left:5px;
	padding-top:5px;
	font-family:Arial, Helvetica, sans-serif;
	font-weight:bold;
	font-size:12px;
	color:#000000;
}
.TitlebarRight 
{
	background:url(Images/cross_icon_normal.png);
	background-position:right;
	background-repeat:no-repeat;
	height:15px;
	width:16px;
	float:right;
	cursor:pointer;
	margin-right:5px;
	margin-top:5px;
}

.popup_Buttons
{
	margin:10px;
}
 
.grid-view
{
 
   margin: 0;
   border: 1px solid #333;
   font-family: "Verdana, Arial, Helvetica, sans-serif, Trebuchet MS";
   font-size: 0.9em;
   width:100%;
}

.grid-view tr a
{
   font-size:larger;
   font-weight: bold;
}
.grid-view tr a:hover
{
    color:#ec7955;
}
.grid-view tr.header
{
   color: black;
    height: 25px;
   vertical-align: middle;
   text-align: center;
   font-weight: bold;
}
.grid-view tr.header a
{
 color: #000; 
 }
    
.grid-view tr.normal
{
   color: black;
   background-color: #E7E7FF;
   height: 25px;
   vertical-align: middle;
   text-align: left;

}

.grid-view tr.alternate
{
   color: black;
   background-color: #F7F7F7;
   height: 25px;
   vertical-align: middle;
   text-align: left;
}
    .grid-view tr.footer {
        color: #ff6600;
        background-color: #B5C7DE;
        height: 25px;
        vertical-align: middle;
        text-align: center;
        font-weight: bold;
    }


.grid-view tr.normal:hover, .grid-view tr.alternate:hover
{
   background-color: #738A9C;
   color: black;
 
}

.grid-view td
{
   padding-left:10px;
}



.ChildGrid
{
   padding: 0;
   margin: 0;
   border: 1px solid #333;
   font-family: "Verdana, Arial, Helvetica, sans-serif, Trebuchet MS";
   font-size: 0.9em;
    
}
.ChildGrid  th{  background-color: #FFCC99}
 .ChildGrid tr:nth-child(even) {background-color: #FFE7BD}
 .ChildGrid tr:hover {background-color: #FFCC99}
 .ChildGrid  th {
    padding-left: 15px;
    padding-right: 15px;
    text-align: center;
}
 .ChildGrid  td
 {     
       text-align: center;
       vertical-align: top;
       padding-top:3px;

 }
.lblempclass
{ font-family: Verdana, Arial, Helvetica, sans-serif, Trebuchet MS;
   font-size: 0.9em;
   color:#4b6c9e;
	
	}

.fieldset
{
 margin-left:20px; 
	}
.clsdropdownlng
{
  width: 216px;
    margin-bottom: 0px;
}	
.clspadding
{
 padding :0px;}

.tablemaster
        {
            width: 100%;
            background:#4b6c9e;
          
        }
  .submenucss
  {
       text-indent:10px;
     
       }
 
   .topmenucss
  {
       text-indent:3px;
     
       }
       
       
.Grid {background-color: #fff; margin: 5px 0 10px 0; 
        border-collapse:collapse; font-family:Calibri; color: black;}

.Grid td {

      padding: 5px; 
 text-align:center;
      border: solid 1px #000; }

.Grid th  {
      padding : 4px 8px; 
      color: black; 
      
      text-align:center;
      font-size: 0.9em; }

.Grid .alt {

      background: #fcfcfc ; }

.Grid .pgr {background: #363670; }

.Grid .pgr table { margin: 5px 0; }

.Grid .pgr td { border-width: 0; padding: 0 6px; border-left: solid 1px #666; font-weight: bold; color: #fff; line-height: 12px; }   
.Grid .pgr a:hover { color: #000; text-decoration: none; }

 
.gpager, .gpager td {
    text-align: center;
    color: cornsilk;
    font-weight: bold;
    text-decoration: none;
}

    .gpager a {
        border: 1px solid #EDF5FF;
        color: #0067A5;
        text-decoration: underline;
        padding: 2px 5px;
        text-align: center;
    }

    .gpager span {
        background-color: #0067A5;
        border: 1px solid #DBEAFF;
        color: #FFFFFF;
        padding: 2px 5px;
    }


    .gpager a:hover {
        color: #1E90FF;
    }

.loader.is-active {
    background-color: rgba(255,102,0,.85) !important;
}

.ms-selection {
    background: #dff1e2 !important;
}
